Bug 978152 - [Install] Document support for OpenLDAP as domain provider
[Install] Document support for OpenLDAP as domain provider
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Zac Dover
ecs-bugs
infra
: FutureFeature
Depends On: 967327 975293 978173 978176 978185
Blocks: 978145
  Show dependency treegraph
 
Reported: 2013-06-26 01:10 EDT by Zac Dover
Modified: 2017-05-11 08:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 975293
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13829 None None None Never

  None (edit)
Comment 4 Zac Dover 2013-08-24 08:49:58 EDT
Section 2.3.4.2
---------------
This section requires a couple of updates. 


Issue #1
--------
s/3.2/3.3:
  The directory servers currently supported for use with Red Hat 
  Enterprise Virtualization 3.2 are:

Issue #2
--------
Add "OpenLDAP" to this list:
    Active Directory;
    Identity Management (IdM); and
    Red Hat Directory Server 9 (RHDS 9).

Issue #3
--------
Add a link to the OpenLDAP docs to this list:
     Active Directory - http://technet.microsoft.com/en-us/windowsserver/dd448614.
    Identity Management (IdM) - http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Identity_Management_Guide/index.html
    Red Hat Directory Server (RHDS) - http://docs.redhat.com/docs/en-US/Red_Hat_Directory_Server/index.html 

Issue #4
--------
Added this:
In OpenLDAP, the memberOf functionality is not called a "plugin". It is called an "overlay" and requires no configuration after installation.

To this:
Configure the memberOf plug-in for RHDS to allow group membership. In particular ensure that the value of the memberofgroupattr attribute of the memberOf plug-in is set to uniqueMember. 

A Note for the Future
---------------------
An ambitious, future version of the RHEV Installation Guide might include Yair Zaslavsky's report on Juan Hernandez's OpenLDAP setup procedure here: https://bugzilla.redhat.com/show_bug.cgi?id=967327#c4

Updated Revision History [21134-501425].

Moving to POST.
Comment 5 Zac Dover 2013-08-24 08:51:32 EDT
Changes detailed in Comment 4 are included in revision 3.3-9.

Note You need to log in before you can comment on or make changes to this bug.